//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.11.02 at 04:00:12 PM BRST 
//

package br.com.grupolibra.dueredexservice.model.siscomex;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * <p>
 * Java class for NotaFiscalEletronica complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="NotaFiscalEletronica">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="chaveAcesso" type="{http://www.pucomex.serpro.gov.br/cct}ChaveNFE"/>
 *         &lt;element name="conteineres" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="conteiner" type="{http://www.pucomex.serpro.gov.br/cct}TConteiner" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NotaFiscalEletronica", propOrder = { "chaveAcesso", "conteineres" })
@XStreamAlias("notaFiscalEletronica")
public class NotaFiscalEletronica {

	protected String chaveAcesso;

	@XStreamAlias("conteineres")
	List<Conteiner> conteineres = new ArrayList<>();

	public boolean equals(Object object) {
		boolean sameSame = false;

		if (object != null && object instanceof NotaFiscalEletronica) {
			sameSame = this.getChaveAcesso().equals(((NotaFiscalEletronica) object).getChaveAcesso());
		}

		return sameSame;
	}

	public String getChaveAcesso() {
		return chaveAcesso;
	}

	public void setChaveAcesso(String value) {
		this.chaveAcesso = value;
	}

	public void setConteineres(List<Conteiner> conteineres) {
		this.conteineres = conteineres;
	}

}
